org.apache.lucene.search

## Class PhraseWildcardQuery.TestCounters

- java.lang.Object
- - org.apache.lucene.search.PhraseWildcardQuery.TestCounters

Enclosing class:
  PhraseWildcardQuery

    protected static class PhraseWildcardQuery.TestCounters
    extends Object

Test counters incremented when assertions are enabled. Used only when testing.

### Field Summary

Fields
`protected long` `expansionCount`
`protected long` `multiTermAnalysisCount`
`protected long` `queryEarlyStopCount`
`protected long` `segmentSkipCount`
`protected long` `segmentUseCount`
`protected long` `singleTermAnalysisCount`

### Constructor Summary

Constructors
`protected` `TestCounters()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `clear()`
`protected static PhraseWildcardQuery.TestCounters` `get()`
`protected boolean` `incExpansionCount()`
`protected boolean` `incMultiTermAnalysisCount()`
`protected boolean` `incQueryEarlyStopCount()`
`protected boolean` `incSegmentSkipCount()`
`protected boolean` `incSegmentUseCount()`
`protected boolean` `incSingleTermAnalysisCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### singleTermAnalysisCount

    protected long singleTermAnalysisCount

#### multiTermAnalysisCount

    protected long multiTermAnalysisCount

#### expansionCount

    protected long expansionCount

#### segmentUseCount

    protected long segmentUseCount

#### segmentSkipCount

    protected long segmentSkipCount

#### queryEarlyStopCount

    protected long queryEarlyStopCount

### Constructor Detail

#### TestCounters

    protected TestCounters()

### Method Detail

#### get

    protected static PhraseWildcardQuery.TestCounters get()

#### incSingleTermAnalysisCount

    protected boolean incSingleTermAnalysisCount()

#### incMultiTermAnalysisCount

    protected boolean incMultiTermAnalysisCount()

#### incExpansionCount

    protected boolean incExpansionCount()

#### incSegmentUseCount

    protected boolean incSegmentUseCount()

#### incSegmentSkipCount

    protected boolean incSegmentSkipCount()

#### incQueryEarlyStopCount

    protected boolean incQueryEarlyStopCount()

#### clear

    protected void clear()